For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
      • GETList Sequences
      • POSTCreate a Sequence
      • GETFetch a Sequence
      • PUTUpdate a Sequence
      • DELDelete a Sequence
      • GETList Sequence Subscriptions
      • POSTSubscribe a Contact to a Sequence
      • GETFetch a single Sequence Subscription
      • PUTUpdate a specific Subscription
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsSequences (Workflows)

Create a Sequence

||View as Markdown|
POST
https://api.close.com/api/v1/sequence/
POST
/api/v1/sequence/
$curl -X POST https://api.close.com/api/v1/sequence/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "name": "My Sequence",
> "schedule": {
> "ranges": [
> {
> "end": "16:59",
> "start": "09:00",
> "weekday": 1
> },
> {
> "end": "16:59",
> "start": "09:00",
> "weekday": 2
> },
> {
> "end": "16:59",
> "start": "09:00",
> "weekday": 3
> },
> {
> "end": "16:59",
> "start": "09:00",
> "weekday": 4
> },
> {
> "end": "16:59",
> "start": "09:00",
> "weekday": 5
> }
> ]
> },
> "steps": [
> {
> "delay": 0,
> "required": true,
> "step_type": "call"
> },
> {
> "delay": 86400,
> "email_template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn",
> "step_type": "email",
> "threading": "old_thread"
> },
> {
> "delay": 259200,
> "email_template_id": "tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln",
> "threading": "old_thread"
> }
> ],
> "timezone": "America/Los_Angeles"
>}'
1{
2 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2022-03-10T14:21:15.270359",
4 "date_updated": "2022-03-10T14:21:15.270380",
5 "id": "seq_01FX7LXnJDiYZfWM9cZNkK",
6 "name": "My Sequence",
7 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
8 "schedule": {
9 "ranges": [
10 {
11 "end": "16:59",
12 "start": "09:00",
13 "weekday": 1
14 },
15 {
16 "end": "16:59",
17 "start": "09:00",
18 "weekday": 2
19 },
20 {
21 "end": "16:59",
22 "start": "09:00",
23 "weekday": 3
24 },
25 {
26 "end": "16:59",
27 "start": "09:00",
28 "weekday": 4
29 },
30 {
31 "end": "16:59",
32 "start": "09:00",
33 "weekday": 5
34 }
35 ]
36 },
37 "status": "active",
38 "steps": [
39 {
40 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
41 "date_created": "2022-03-10T14:21:15.276005",
42 "date_updated": "2022-03-10T14:21:15.276009",
43 "delay": 0,
44 "email_template_id": null,
45 "id": "seqstep_27RRKBOqqsaDLfv3DC2j4w",
46 "required": true,
47 "step_allowed_delay": null,
48 "step_type": "call",
49 "threading": null,
50 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
51 },
52 {
53 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
54 "date_created": "2022-03-10T14:21:15.278210",
55 "date_updated": "2022-03-10T14:21:15.278213",
56 "delay": 86400,
57 "email_template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn",
58 "id": "seqstep_6MEzpiQOFmXUspWL50qm9G",
59 "required": true,
60 "step_allowed_delay": null,
61 "step_type": "email",
62 "threading": "old_thread",
63 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
64 },
65 {
66 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
67 "date_created": "2022-03-10T14:21:15.278909",
68 "date_updated": "2022-03-10T14:21:15.278911",
69 "delay": 259200,
70 "email_template_id": "tmpl_l12k3as9d008324ljeANFTyS239048asdFdsVfnzaln",
71 "id": "seqstep_3EhVVniW2ks6w740LMcivm",
72 "required": true,
73 "step_allowed_delay": null,
74 "step_type": "email",
75 "threading": "old_thread",
76 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
77 }
78 ],
79 "timezone": "America/Los_Angeles",
80 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
81}
Was this page helpful?
Previous

List Sequences

Next

Fetch a Sequence

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error